.TH "VARIABLES" 1 "2021-01-08" "" "Annotation Pipeline"

.SH SYNOPSIS
Input arguments for the \fBAnnotation Pipeline\fR.

.SH INPUTS
.SS REQUIRED
Variables that have to be set for the pipeline to run. Makefile will immediately
fail if not set.

.TP
.BR NAME
Abbreviated species name. Commonly, the first two letters of genus, followed by
first three letters of species (e.g 'Gossypium raimondii' becomes 'Gorai' ). The
annotations will be renamed to include \fBNAME\fR along with the output
files.

.TP
.BR GENOME
Genome fasta file. Can be gzipped.

.TP
.BR LIBS
List of input RNA-seq library names. Each name in list should correspond to
another variable that includes the read files for each RNA-seq library. Forward
and reverse reads are seperated by whitespace [ ], while files from of the same
library and directory are comma [,] separated. Files can paired or single ended.
Files can be gzipped.

.B Example:
.EX
make LIB="LIB1 LIB2" \\
  LIB1="LIB1.1.1.fq.gz,LIB1.2.1.fq.gz LIB1.1.2.fq.gz,LIB1.2.2.fq.gz" \\
  LIB2="LIB2.se.fq.gz"
.EE

.TP
.BR CPUS
Number of CPUs per task

.TP
.BR GENEMARK
GeneMark installation directory.

.TP
.BR BUSCO_LINEAGE
Busco lineage database name or directory location.

.TP
.BR MIKADO_SCORE
Mikado scoring matrix [\fImammalian.yaml\fR or \fIplant.yaml\fR]

.SS EVIDENCE
EST and Protein Sequences used as evidence for maker. Will run maker-blast if given.

.TP
.BR MAKER_EST
FASTA file of EST sequences from very closely related, usually the same,
species. Aligned to genome using blastn.

.TP
.BR MAKER_ALTEST
FASTA file of alternative EST sequences from closely related species. Aligned to
genome using tblastn.

.TP
.BR MAKER_PROTEIN
FASTA file of protein sequences from closely related species. Aligned to genome
using blastp.

.SS OPTIONAL

.TP
.BR GENOME_SPLIT
Number of files to split the genome into. The split function adds sequences to
the file with the smallest size.

.TP
.BR MIKADO_SPLIT
Number of files to split the mikado prepared transcripts into. Uses fasta_split
from the mikado package.

.SH QUEUING
Running the \fBqueue\fR command will queue the entire pipeline in stages using
slurm. By default the jobs are held for review. \fBscontrol release
\fIjob-list\fR will release the specified jobs to be run. Running the
\fBshow-queue\fR command will display the commands it will run without actually
queuing.

